Get Earnings

Get Earnings

Returns the total yield earnings accumulated by a wallet address from holding USD*.

GET /api/usdstar/earnings/:wallet_address

Get Earnings

get

Returns the total yield earnings accumulated by a wallet address from holding USD*.

Path parameters
wallet_addressstringRequired

The Solana wallet address to query

Example: 7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU
Responses
chevron-right
200

Successful response

application/json
wallet_addressstringOptional

The queried wallet address

Example: 7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU
earningsstringOptional

Total earnings in raw token units (6 decimals, as a string integer)

Example: 1234567
earnings_uinumberOptional

Total earnings in human-readable USD* units

Example: 1.234567
get
/api/usdstar/earnings/{wallet_address}
200

Successful response

Last updated